Package org.eclipse.net4j.util.container

# Class FactoryNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.net4j.util.container.FactoryNotFoundException

All Implemented Interfaces:
  `Serializable`

public class FactoryNotFoundException extends RuntimeException
An unchecked exception that indicates the absence of a `factory` identified by `product group` and `type`.

Author:
  Eike Stepper
See Also:
  - Serialized Form
No Extend
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`FactoryNotFoundException()`
`FactoryNotFoundException(String message)`
`FactoryNotFoundException(String message, Throwable cause)`
`FactoryNotFoundException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FactoryNotFoundException

public FactoryNotFoundException()

### FactoryNotFoundException

public FactoryNotFoundException(String message)

### FactoryNotFoundException

public FactoryNotFoundException(Throwable cause)

### FactoryNotFoundException

public FactoryNotFoundException(String message, Throwable cause)